Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.metadata.plugins
Class AbstractLifecycleMetaData

    java.lang.Object
      org.jboss.util.JBossObject
          org.jboss.beans.metadata.plugins.AbstractFeatureMetaData
              org.jboss.beans.metadata.plugins.AbstractLifecycleMetaData

All Implemented Interfaces:
  Cloneable, FeatureMetaData, org.jboss.util.JBossInterface, LifecycleMetaData, MetaDataVisitorNode

public class AbstractLifecycleMetaData
extends AbstractFeatureMetaData
implements LifecycleMetaData

Metadata for lifecycle.

Version:
  $Revision: 1.3 $
Author:
  Adrian Brock

Field Summary
`protected String` | `methodName` The method name
`protected List` | `parameters` The paramaters List
`protected org.jboss.dependency.spi.ControllerState` | `state` The state

Fields inherited from class org.jboss.beans.metadata.plugins.AbstractFeatureMetaData
`annotations, description`

Fields inherited from class org.jboss.util.JBossObject
`hashCode, log, toString`

Constructor Summary
`AbstractLifecycleMetaData()` Create a new lifecycle meta data

Method Summary
`Iterator` | `getChildren()` Return the child nodes
`String` | `getMethodName()` Get the method name.
`List` | `getParameters()` Get the parameters.
`org.jboss.dependency.spi.ControllerState` | `getState()` Get the state
`void` | `setMethodName(String name)` Set the method name
`void` | `setParameters(List parameters)` Set the parameters
`void` | `setState(org.jboss.dependency.spi.ControllerState state)` Set the state
`void` | `toString(org.jboss.util.JBossStringBuilder buffer)`
`void` | `visit(MetaDataVisitor visitor)` Visit the node

Methods inherited from class org.jboss.beans.metadata.plugins.AbstractFeatureMetaData
`getAnnotations, getDescription, setAnnotations, setDescription, toShortString`

Methods inherited from class org.jboss.util.JBossObject
`cacheGetHashCode, cacheToString, clone, equals, flushJBossObjectCache, getClassShortName, getHashCode, hashCode, list, notEqual, toShortString, toString, toStringImplementation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.beans.metadata.spi.FeatureMetaData
`getAnnotations, getDescription`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString, toShortString`

Field Detail

### state

    protected org.jboss.dependency.spi.ControllerState state

  The state

### methodName

    protected String methodName

  The method name

### parameters

    protected List parameters

  The paramaters List

Constructor Detail

### AbstractLifecycleMetaData

    public AbstractLifecycleMetaData()

  Create a new lifecycle meta data

Method Detail

### getState

    public org.jboss.dependency.spi.ControllerState getState()

  Description copied from interface: `LifecycleMetaData`
  Get the state

  Specified by:
    `getState` in interface `LifecycleMetaData`
  Returns:
    the state

### setState

    public void setState(org.jboss.dependency.spi.ControllerState state)

  Description copied from interface: `LifecycleMetaData`
  Set the state

  Specified by:
    `setState` in interface `LifecycleMetaData`
  Parameters:
    `state` - the state

### getMethodName

    public String getMethodName()

  Description copied from interface: `LifecycleMetaData`
  Get the method name.

  Specified by:
    `getMethodName` in interface `LifecycleMetaData`
  Returns:
    the method name.

### setMethodName

    public void setMethodName(String name)

  Set the method name

  Parameters:
    `name` - the factory method

### getParameters

    public List getParameters()

  Description copied from interface: `LifecycleMetaData`
  Get the parameters.

  Specified by:
    `getParameters` in interface `LifecycleMetaData`
  Returns:
    List.

### setParameters

    public void setParameters(List parameters)

  Set the parameters

  Parameters:
    `parameters` - List

### visit

    public void visit(MetaDataVisitor visitor)

  Description copied from interface: `MetaDataVisitorNode`
  Visit the node

  Specified by:
    `visit` in interface `MetaDataVisitorNode`
  Overrides:
    `visit` in class `AbstractFeatureMetaData`

### getChildren

    public Iterator getChildren()

  Description copied from interface: `MetaDataVisitorNode`
  Return the child nodes

  Specified by:
    `getChildren` in interface `MetaDataVisitorNode`
  Overrides:
    `getChildren` in class `AbstractFeatureMetaData`

### toString

    public void toString(org.jboss.util.JBossStringBuilder buffer)

  Overrides:
    `toString` in class `AbstractFeatureMetaData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.